Subject: Re: bug#3717: M-x man completion

From: Stefan Monnier <[email-masked]>
Date: Thu, 26 Nov 2009 21:30:56 -0500

>> I can't say in advance how convenient it would be to use them for
>> man completions.
> Could be a bit noisy, or stop you easily seeing all of a medium-long
> list of completions.  Is there a conventional builtin way to
> enable/disable annotations on a particular flavour of completion?
> A flag or function variable would work no doubt.

I've been mulling over completing-help for quite a while now and I don't
think a customization var is a good solution.  Instead, we'd want
something more dynamic.  An easy solution is to put a help-echo property
on the completion string.  Otherwise some completion-list-mode command
should be provided to toggle annotations.

        Stefan